#version 430

layout (binding = 0) uniform sampler2D sprite;

layout (location = 0) in vec4 color;
layout (location = 1) in vec2 uv;

layout (location = 0) out vec4 texel;

void main() {
	texel = texture(sprite, uv) * color;

	if (texel.a == 0) {
		discard;
	}
}
